org.apache.lucene.search

## Interface Matches

- All Superinterfaces:
    Iterable<String>

      public interface Matches
      extends Iterable<String>

  Reports the positions and optionally offsets of all matching terms in a query for a single document To obtain a `MatchesIterator` for a particular field, call `getMatches(String)`. Note that you can call `getMatches(String)` multiple times to retrieve new iterators, but it is not thread-safe.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatchesIterator` | `getMatches(String field)` Returns a `MatchesIterator` over the matches for a single field, or `null` if there are no matches in that field.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getMatches

          MatchesIterator getMatches(String field)
                              throws IOException

      Returns a `MatchesIterator` over the matches for a single field, or `null` if there are no matches in that field.
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.